Get procedure
GET
/v2/procedures/{id}Authorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Path Parameters
id*string
Unique identifier of the procedure to retrieve.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v2/procedures/string"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "PCB Functional Test",
"created_at": "2024-01-15T10:30:00Z",
"created_by_user": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "John Doe",
"email": "john.doe@example.com"
},
"runs_count": 42,
"recent_runs": [
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"started_at": "2024-01-15T10:35:00Z",
"outcome": "PASS",
"unit": {
"serial_number": "SN-001234"
}
}
],
"stations": [
{
"id": "550e8400-e29b-41d4-a716-446655440004",
"name": "Test Station 01"
}
]
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?